Bug 182744 - Review Request: libnasl - Nessus Attack Scripting Language
Summary: Review Request: libnasl - Nessus Attack Scripting Language
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: John Mahowald
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: 182743
Blocks: FE-ACCEPT 182941
TreeView+ depends on / blocked
 
Reported: 2006-02-24 13:53 UTC by Andreas Bierfert
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-18 10:25:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andreas Bierfert 2006-02-24 13:53:46 UTC
Spec Name or Url: http://fedora.lowlatency.de/review/libnasl.spec
SRPM Name or Url: http://fedora.lowlatency.de/review/libnasl-2.2.6-1.src.rpm
Description:
The Nessus Security Scanner includes NASL, (Nessus Attack Scripting Language)
a language designed to write security test easily and quickly.

Comment 1 Andreas Bierfert 2006-02-24 16:20:39 UTC
Some tuneups (see #182743 for details) :)

http://fedora.lowlatency.de/review/libnasl-2.2.6-2.src.rpm
http://fedora.lowlatency.de/review/libnasl.spec

Comment 2 John Mahowald 2006-03-18 05:14:22 UTC
A number of compile warnings due to integers and pointers. It'd be nice if
upstream fixed them.

Minor:
* Duplicate BuildRequires: libpcap (by nessus-libraries-devel), tetex-dvips (by
tetex-latex)


Good:

- rpmlint checks return:

rpmlint of libnasl:
W: libnasl non-conffile-in-etc /etc/pki/nessus/nessus_org.pem
not really conf file, can ignore

rpmlint of libnasl-devel:
E: libnasl-devel only-non-binary-in-usr-lib
symlink, can ignore

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

APPROVED

Comment 3 Andreas Bierfert 2006-03-18 10:22:44 UTC
Fixed the BR. Imported and pushed :) Thanks for the review.


Note You need to log in before you can comment on or make changes to this bug.